Subject: [quicwg/base-drafts] 8ecd95: wip

From: Martin Thomson <[email-masked]>
Date: Tue, 13 Mar 2018 06:00:47 -0700

Branch: refs/heads/master
  Home:   https://github.com/quicwg/base-drafts
  Commit: 8ecd955816a10acbe8abd0cfc94c135ae8e7196b
      https://github.com/quicwg/base-drafts/commit/8ecd955816a10acbe8abd0cfc94c135ae8e7196b
  Author: Martin Thomson <[email-masked]>
  Date:   2018-03-06 (Tue, 06 Mar 2018)

  Changed paths:
    M draft-ietf-quic-invariants.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  wip

  Commit: d55ddf8f56d22e157ddc6b1ac3ab4ffd7f7c2022
      https://github.com/quicwg/base-drafts/commit/d55ddf8f56d22e157ddc6b1ac3ab4ffd7f7c2022
  Author: Martin Thomson <[email-masked]>
  Date:   2018-03-06 (Tue, 06 Mar 2018)

  Changed paths:
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Symmetric connection IDs

Lots of changes here.

Obviously people will feel inclined to nitpick at the length encoding.  Feel
free, but I think that I have good reasons for my choices there.

The NEW_CONNECTION_ID thing is tricky.  As was the analysis around the
handshake packet keys.  Also, note the trick in Version Negotiation packets
about swapping the connection IDs.  That makes client packet handling much
simpler.

The big loss is in stateless reset, which I think that I've covered well
enough.

Closes #1101.

  Commit: d925ba0e27fd39e97fb46bd11e1dcaf097a00a74
      https://github.com/quicwg/base-drafts/commit/d925ba0e27fd39e97fb46bd11e1dcaf097a00a74
  Author: Martin Thomson <[email-masked]>
  Date:   2018-03-06 (Tue, 06 Mar 2018)

  Changed paths:
    M draft-ietf-quic-invariants.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Address review comments, closes #1052

  Commit: d8a59b3dbfd3c48bfeb1ef04be9dfe78ad42245b
      https://github.com/quicwg/base-drafts/commit/d8a59b3dbfd3c48bfeb1ef04be9dfe78ad42245b
  Author: Martin Thomson <[email-masked]>
  Date:   2018-03-06 (Tue, 06 Mar 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Review-based tweakin'

  Commit: b6db6fae2815b363b6b7f46b8f001eb88f21b56e
      https://github.com/quicwg/base-drafts/commit/b6db6fae2815b363b6b7f46b8f001eb88f21b56e
  Author: Martin Thomson <[email-masked]>
  Date:   2018-03-06 (Tue, 06 Mar 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Closes #1146 too

  Commit: 5343125a595cf4ecde3d921c6f6dd38d2ac89af9
      https://github.com/quicwg/base-drafts/commit/5343125a595cf4ecde3d921c6f6dd38d2ac89af9
  Author: Martin Thomson <[email-masked]>
  Date:   2018-03-06 (Tue, 06 Mar 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Closes #821 too

  Commit: acf8bfe99785a6617962d7a4786cc389f0d7b84b
      https://github.com/quicwg/base-drafts/commit/acf8bfe99785a6617962d7a4786cc389f0d7b84b
  Author: Martin Thomson <[email-masked]>
  Date:   2018-03-06 (Tue, 06 Mar 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Let's not flip around too often unnecessarily

  Commit: febac4d3d619821f8e1f3d3a2c61326f7644f154
      https://github.com/quicwg/base-drafts/commit/febac4d3d619821f8e1f3d3a2c61326f7644f154
  Author: Martin Thomson <[email-masked]>
  Date:   2018-03-06 (Tue, 06 Mar 2018)

  Changed paths:
    M draft-ietf-quic-invariants.md

  Log Message:
  -----------
  Fix length labels

  Commit: 436786f8f116c40e0236bed97d429bff67c56b8d
      https://github.com/quicwg/base-drafts/commit/436786f8f116c40e0236bed97d429bff67c56b8d
  Author: Martin Thomson <[email-masked]>
  Date:   2018-03-06 (Tue, 06 Mar 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  -n

  Commit: 2764c5c388f858f1cb18c6297a66af043676b14b
      https://github.com/quicwg/base-drafts/commit/2764c5c388f858f1cb18c6297a66af043676b14b
  Author: Martin Thomson <[email-masked]>
  Date:   2018-03-07 (Wed, 07 Mar 2018)

  Changed paths:
    M draft-ietf-quic-invariants.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Reducing minimum connection ID length to 4 octets

  Commit: 7bfa8ab3ae3db5a9ccacc51dc06f614bc3706374
      https://github.com/quicwg/base-drafts/commit/7bfa8ab3ae3db5a9ccacc51dc06f614bc3706374
  Author: Martin Thomson <[email-masked]>
  Date:   2018-03-07 (Wed, 07 Mar 2018)

  Changed paths:
    M draft-ietf-quic-invariants.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Sums iz haard

  Commit: d7a18a031595190971e419dddefd4d8b15b41461
      https://github.com/quicwg/base-drafts/commit/d7a18a031595190971e419dddefd4d8b15b41461
  Author: Martin Thomson <[email-masked]>
  Date:   2018-03-08 (Thu, 08 Mar 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Moar bad numerz

  Commit: dc887e85a50ece81bfbb87c44dfaf27d91c42f28
      https://github.com/quicwg/base-drafts/commit/dc887e85a50ece81bfbb87c44dfaf27d91c42f28
  Author: Martin Thomson <[email-masked]>
  Date:   2018-03-08 (Thu, 08 Mar 2018)

  Changed paths:
    M draft-ietf-quic-invariants.md

  Log Message:
  -----------
  My sed-fu is lacking

  Commit: c6c06e50504ad98dcf4040296804ca7a48121134
      https://github.com/quicwg/base-drafts/commit/c6c06e50504ad98dcf4040296804ca7a48121134
  Author: Martin Thomson <[email-masked]>
  Date:   2018-03-09 (Fri, 09 Mar 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  For @siyengar/@ianswett regarding connection ID construction

  Commit: 3ea70b965749b0525468a09b33b55dcff9eb0347
      https://github.com/quicwg/base-drafts/commit/3ea70b965749b0525468a09b33b55dcff9eb0347
  Author: Martin Thomson <[email-masked]>
  Date:   2018-03-09 (Fri, 09 Mar 2018)

  Changed paths:
    M draft-ietf-quic-invariants.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Some review-related changes and polish

  Commit: 4e837b2dae103afa2fe9fb8a8e0db681a175db49
      https://github.com/quicwg/base-drafts/commit/4e837b2dae103afa2fe9fb8a8e0db681a175db49
  Author: Martin Thomson <[email-masked]>
  Date:   2018-03-12 (Mon, 12 Mar 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Fixups

  Commit: 0d51024752d67da74c725ad8df4df12a990099b2
      https://github.com/quicwg/base-drafts/commit/0d51024752d67da74c725ad8df4df12a990099b2
  Author: Martin Thomson <[email-masked]>
  Date:   2018-03-13 (Tue, 13 Mar 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Small tweaks regarding the change to dcid

  Commit: 9d1512f32b0c8a2db2ee64d7ea6e66737ac1224e
      https://github.com/quicwg/base-drafts/commit/9d1512f32b0c8a2db2ee64d7ea6e66737ac1224e
  Author: Martin Thomson <[email-masked]>
  Date:   2018-03-13 (Tue, 13 Mar 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Jana's improvements

  Commit: 7e65291312e3daf69df8428d44f98ec5b9af8d08
      https://github.com/quicwg/base-drafts/commit/7e65291312e3daf69df8428d44f98ec5b9af8d08
  Author: Martin Thomson <[email-masked]>
  Date:   2018-03-13 (Tue, 13 Mar 2018)

  Changed paths:
    M draft-ietf-quic-invariants.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #1151 from quicwg/symmetric-connection-id

Symmetric connection IDs

Compare: https://github.com/quicwg/base-drafts/compare/3593b0e0fa2e...7e65291312e3